SPARSE_MEMORY_PRESEN(9)

NAME
sparse_memory_present_with_active_regions - Call memory_present for each active range

SYNOPSIS

void sparse_memory_present_with_active_regions(int nid);

ARGUMENTS

nid
    The node to call memory_present for. If MAX_NUMNODES, all nodes will be used.

DESCRIPTION

If an architecture guarantees that all ranges registered contain no holes and may be freed, this function may be used instead of calling memory_present manually.

COPYRIGHT